s/@host_makefile_frag@//
/@target_makefile_frag@/,/^$/{
/@target_makefile_frag@/d
/^$/{
i\
TDEPFILES=i386-tdep.o i387-tdep.o go32target.o
i\
SER_HARDWIRE = ser-go32.o
i\
TERMCAP=
i\
CHILL_LIB=
i\
CEXPTAB=$(wildcard $(srcdir)/c-exp.tab.c)
i\
ifneq ($(CEXPTAB),$(srcdir)/c-exp.tab.c)
i\
CEXPTAB=c-exp_tab
i\
FEXPTAB=f-exp_tab
i\
M2EXPTAB=m2-exp_tab
i\
else
i\
CEXPTAB=c-exp.tab
i\
FEXPTAB=f-exp.tab
i\
M2EXPTAB=m2-exp.tab
i\
endif
}
}
s/@host_alias@/go32/
s/@target_alias@/go32/
/^version\.c:.*$/,/^$/{
/^	.*$/d
/^$/{
i\
	echo.exe -o version.tmp char *version = \\"$(VERSION)\\";
i\
	redir -oa version.tmp echo.exe char *host_name = \\"$(host_alias)\\";
i\
	redir -oa version.tmp echo.exe char *target_name = \\"$(target_alias)\\";
i\
	update version.tmp version.c
}
}
s/#\(MMALLOC_DISABLE.*$\)/\1/
s/#\(MMALLOC_CHECK.*$\)/\1/
s/^MMALLOC .*=.*$/MMALLOC=/
s/@ENABLE_CFLAGS@//
s/@ENABLE_CLIBS@//
s/@ENABLE_OBS@//
s/@DEFS@//
s/@LIBS@/-ldbg/
s/copying.c/COPYING.c/g
s/c-exp.tab/$(CEXPTAB)/g
s/f-exp.tab/$(FEXPTAB)/g
s/m2-exp.tab/$(M2EXPTAB)/g

s/^Makefile: .*makedos.sed$/& initc.sed/
/^init\.c:.*/,/^$/{
/^ini.*$/d
/^	.*$/d
/^$/{
r initc.sed
}
}

/^all:.*$/,/^$/{
/^	.*$/d
}

/^libgdb:.*$/,/^$/{
/^$/{
i\

i\
libgdb.a: $(LIBGDBDEPS) Makefile
i\
	rm -f libgdb.a
i\
	ar rcs $@ $(filter %.o,$(LIBGDBFILES))
}
}

/^libgdb-files:.*$/,/^$/{
/^	.*$/d
/^$/{
i\
	echo.exe -o libgdb-files $(LIBGDBFILES)
}
}
s,\.\./libproc/libproc.a,,
s/^SUBDIRS =.*$/SUBDIRS=doc/
/^COPYING.c.*$/,/^$/{
s/^COPY.*$/#&/
s/^	.*$/#&/
}
